/*[*/
// Code in Listing 10
package aspect;
import org.aspectj.lang.JoinPoint;
import graphics.FigureElement;
import graphics.Point;
/*]*/aspect IncrTracking /**+\footnotemark+**/ {
  after(FigureElement fe): target(fe) 
    && call(void FigureElement.incrXY(int,int)) {
    System.out.println("IncrTracking: "
      + "Moving the figure element " + fe);
  }
  after(Point p): target(p) 
    && call(void Point.incrXY(int,int)) {
    System.out.println("IncrTracking: "
      + "Moving the point at (" 
      + p.getX() + "," + p.getY() + ")");
  }
}
