/*[*/ // Code in Listing 12
package aspect;
import org.aspectj.lang.JoinPoint;
import graphics.Point;
/*]*/aspect IncrTrackingPoint 
  dominates IncrTrackingFigureElement {
  after(Point p): target(p) 
    && call(void Point.incrXY(int,int)) {
    System.out.println("IncrTrackingPoint: "
      + "Moving the point at (" 
      + p.getX() + "," + p.getY() + ")");
  }
}
