/*[*/
// Code in Lising 14
package aspect;
import org.aspectj.lang.JoinPoint;
import graphics.Point;
/*]*/aspect IncrTrackingPoint2
  dominates IncrTrackingFigureElement2 {
  void around(Point p): target(p) 
    && call(void Point.incrXY(int,int)) {
    System.out.println("IncrTrackingPoint2: "
      + "Moving the point at (" 
      + p.getX() + "," + p.getY() + ")");
    // do not invoke /**+proceed+**/(p);
  }
}
