package aspect;
import org.aspectj.lang.JoinPoint;

/**
 * @author David H. Lorenz
 */
aspect PerTest {
  pointcut tracePoints(): call(void *.incrXY(int,int));
  after(): tracePoints() {

    //Percflow.aspectOf().trace();
    //Error message: no method named aspectOf defined in Percflow

    if (PerFigureElement.hasAspect())
      PerFigureElement.aspectOf().trace(
        thisJoinPoint);
    else
      System.out.println("no PerFigureElement aspect");
    if (PerPoint.hasAspect())
      PerPoint.aspectOf().trace(
        thisJoinPoint);
    else
      System.out.println("no PerPoint aspect");
    if (PerLine.hasAspect())
      PerLine.aspectOf().trace(
        thisJoinPoint);
    else
      System.out.println("no PerLine aspect");

    if (PerFigureElement.hasAspect())
      System.out.println("=> Found PerFigureElement.aspectOf() = " + PerFigureElement.aspectOf());
    else
      System.out.println("no PerFigureElement aspect");
    if (PerPoint.hasAspect())
      System.out.println("=> Found PerPoint.aspectOf().who = " + PerPoint.aspectOf());
    else
      System.out.println("no PerPoint aspect");
    if (PerLine.hasAspect())
      System.out.println("=> Found PerLine.aspectOf().who = " + PerLine.aspectOf());
    else
      System.out.println("no PerLine aspect");
  }
}
